> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status of a payout instruction set

> **Note:** The reference content in this section documents the Payments Engine endpoint. The Payments Engine endpoints include APIs available only for customers with Payments Engine enabled on their accounts. 
These endpoints are currently in beta and might be subject to changes.
If you want to learn more about Fireblocks Payments Engine, please contact your Fireblocks Customer Success Manager or email CSM@fireblocks.com. 
Endpoint Permission: Admin, Non-Signing Admin.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /payments/payout/{payoutId}
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /payments/payout/{payoutId}:
    get:
      tags:
        - Payments - Payout
      summary: Get the status of a payout instruction set
      description: >
        **Note:** The reference content in this section documents the Payments
        Engine endpoint. The Payments Engine endpoints include APIs available
        only for customers with Payments Engine enabled on their accounts. 

        These endpoints are currently in beta and might be subject to changes.

        If you want to learn more about Fireblocks Payments Engine, please
        contact your Fireblocks Customer Success Manager or email
        CSM@fireblocks.com. 

        Endpoint Permission: Admin, Non-Signing Admin.
      operationId: getPayout
      parameters:
        - name: payoutId
          description: >-
            the payout id received from the creation of the payout instruction
            set
          in: path
          schema:
            type: string
          required: true
          example: 1fe3b61f-7e1f-4a19-aff0-4f0a524d44d7
      responses:
        '200':
          description: >-
            Returns the current status of the payout instruction set, including
            the status of each payout instruction and the transactions created
            in the process.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutResponse'
              example:
                payoutId: 1fe3b61f-7e1f-4a19-aff0-4f0a524d44d7
                paymentAccount:
                  id: EX_SUB3
                  type: EXCHANGE_ACCOUNT
                createdAt: 1645365800
                state: FINALIZED
                status: DONE
                initMethod: API
                instructionSet:
                  - id: 6ea4a016-536b-49af-b1a0-40b343ccf879
                    name: payee-wallet-name
                    payeeAccount:
                      id: bef85a1c-b605-4b2e-bdb5-2d400f4d0bf3
                      type: EXTERNAL_WALLET
                    amount:
                      amount: '4312'
                      assetId: USDC
                    state: COMPLETED
                    transactions:
                      - id: 35a4b10c-1f83-4f0b-ba2a-da0e73be2d6e
                        state: COMPLETED
                        timestamp: 1645367429
                  - id: e783a79b-6acc-4d18-885d-ed533cad8eeb
                    name: payee-by-network
                    payeeAccount:
                      id: 3adc1f92-e791-44a8-9aee-7f31c2108b78
                      type: NETWORK_CONNECTION
                    amount:
                      amount: '4423.23'
                      assetId: USDC
                    state: COMPLETED
                    transactions:
                      - id: 4505e7d9-bfc7-41bc-9750-54311fcbbf26
                        state: COMPLETED
                        timestamp: 1645367449
                reportUrl: >-
                  https://some-url.com/reports/cc5777c1-75a9-4337-aebd-f1f5a40a9391
        '401':
          description: Unauthorized. Missing / invalid JWT token in Authorization header.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: No payout with the given payout ID exists.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        5XX:
          description: Internal error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<PayoutResponse>> =
            fireblocks.paymentsPayout.getPayout(paymentsPayoutApiGetPayoutRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<PayoutResponse>> response =
            fireblocks.paymentsPayout().getPayout(payoutId);
        - lang: Python
          source: response = fireblocks.payments_payout.get_payout(payout_id);
components:
  schemas:
    PayoutResponse:
      type: object
      properties:
        payoutId:
          type: string
        paymentAccount:
          $ref: '#/components/schemas/PaymentAccountResponse'
        createdAt:
          type: number
        state:
          $ref: '#/components/schemas/PayoutState'
        status:
          $ref: '#/components/schemas/PayoutStatus'
        reasonOfFailure:
          type: string
          description: |
            - INSUFFICIENT_BALANCE
            - SOURCE_TRANSLATION
            - SOURCE_NOT_UNIQUE
            - SOURCE_NOT_FOUND
            - SOURCE_TYPE_NOT_SUPPORTED
            - EMPTY_SOURCE
            - DESTINATION_TRANSLATION
            - DESTINATION_NOT_UNIQUE
            - DESTINATION_NOT_FOUND
            - EMPTY_DESTINATION
            - PARSING
            - UNKNOWN
            - FIREBLOCKS_CLIENT
            - TRANSACTION_SUBMISSION
        initMethod:
          $ref: '#/components/schemas/PayoutInitMethod'
        instructionSet:
          type: array
          items:
            $ref: '#/components/schemas/PayoutInstructionResponse'
        reportUrl:
          type: string
      required:
        - payoutId
        - createdAt
        - state
        - status
        - paymentAccount
        - instructionSet
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - INTERNAL
                - AUTHENTICATION
                - AUTHORIZATION
                - VALIDATION
                - NOT_FOUND
                - UNPROCESSABLE_ENTITY
                - FORBIDDEN
            message:
              type: string
          required:
            - type
            - message
      required:
        - error
    PaymentAccountResponse:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/PaymentAccountType'
    PayoutState:
      type: string
      enum:
        - CREATED
        - FILE_FOUND
        - REQUESTED
        - TRANSLATED
        - PROCESSING
        - SUBMITTED
        - FINALIZED
        - INSUFFICIENT_BALANCE
        - FAILED
      description: >
        - CREATED - payout instruction set created with all its details

        - FILE_FOUND - new file found in the FTP

        - REQUESTED - payout requested with all its details

        - TRANSLATED - payout instruction account IDs identified and translated

        - PROCESSING - payout instruction set executed and is processing

        - SUBMITTED - transactions submitted for payout instructions

        - FINALIZED - payout finished processing, all transactions processed
        successfully

        - INSUFFICIENT_BALANCE - insufficient balance in the payment account
        (can be a temporary state)

        - FAILED - one or more of the payout instructions failed
    PayoutStatus:
      type: string
      enum:
        - REGISTERED
        - VERIFYING
        - IN_PROGRESS
        - DONE
        - INSUFFICIENT_BALANCE
        - FAILED
      description: "- REQUESTED\tpayout requested with all its details\n- VERIFIED\tpayout instruction set details were verified\n- PROCESSING\tpayout instruction set executed and is processing\n- FINALIZED\tpayout done (all payout instructions completed successfully)\n- INSUFFICIENT_BALANCE\tinsufficient balance in the payment account (can be a temporary state)\n- FAILED\tone or more of the payout instructions failed\n"
    PayoutInitMethod:
      type: string
      enum:
        - FILE
        - API
    PayoutInstructionResponse:
      type: object
      properties:
        id:
          type: string
        payeeAccount:
          $ref: '#/components/schemas/PayeeAccountResponse'
        amount:
          $ref: '#/components/schemas/InstructionAmount'
        state:
          $ref: '#/components/schemas/PayoutInstructionState'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/Transaction'
      required:
        - amount
        - payeeAccount
        - state
        - transactions
    PaymentAccountType:
      type: string
      enum:
        - VAULT_ACCOUNT
        - EXCHANGE_ACCOUNT
        - FIAT_ACCOUNT
    PayeeAccountResponse:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/PayeeAccountType'
    InstructionAmount:
      type: object
      properties:
        amount:
          type: string
        assetId:
          type: string
      required:
        - amount
        - assetId
    PayoutInstructionState:
      type: string
      enum:
        - NOT_STARTED
        - TRANSACTION_SENT
        - COMPLETED
        - FAILED
        - TRANSLATION_ERROR
        - SKIPPED
      description: "- NOT_STARTED\t- waiting to start\n- TRANSACTION_SENT - an underlying transaction was sent\n- COMPLETED\t- completed successfully\n- FAILED - failed\n- TRANSLATION_ERROR -lookup of the destination failed (due to changes in the underlying whitelisted external wallet or similar)\n- SKIPPED- no transaction(s) created for this instruction\n"
    Transaction:
      type: object
      properties:
        id:
          type: string
        state:
          type: string
          enum:
            - SUBMITTED
            - QUEUED
            - PENDING_AUTHORIZATION
            - PENDING_SIGNATURE
            - BROADCASTING
            - PENDING_3RD_PARTY_MANUAL_APPROVAL
            - PENDING_3RD_PARTY
            - PENDING
            - CONFIRMING
            - CONFIRMED
            - COMPLETED
            - PARTIALLY_COMPLETED
            - PENDING_AML_SCREENING
            - CANCELLING
            - CANCELLED
            - REJECTED
            - BLOCKED
            - FAILED
            - TIMEOUT
        timestamp:
          type: number
          format: date-time
        instructionId:
          type: string
      required:
        - id
        - state
    PayeeAccountType:
      type: string
      enum:
        - VAULT_ACCOUNT
        - EXCHANGE_ACCOUNT
        - INTERNAL_WALLET
        - EXTERNAL_WALLET
        - NETWORK_CONNECTION
        - FIAT_ACCOUNT
      description: "- VAULT_ACCOUNT  \ta native Fireblocks vault account\n- EXCHANGE_ACCOUNT \ta third-party exchange account\n- INTERNAL_WALLET \ta whitelisted address marked as internal to the workspace/organization\n- EXTERNAL_WALLET\ta whitelisted address marked as external\n- NETWORK_CONNECTION\ta member of the Fireblocks network\n- FIAT_ACCOUNT\ta third-party account of a fiat bank (Signature, BCB, etc)\n"

````